Sitios web

Autenticación
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint

GET
https://seoxperto.com/api/v1/websites

Request example

curl --location --request GET 'https://seoxperto.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parámetros

Nombre
Tipo
Description
search
optional string
Consulta de búsqueda.
search_by
optional string
Buscar por. Possible values are: domain for Dominio. Defaults to: domain.
sort_by
optional string
Ordenar por. Possible values are: id for Fecha de creación, domain for Dominio, reports_avg_score for Puntuación, reports_count for Reportes. Defaults to: id.
sort
optional string
Ordenar. Possible values are: desc for Descendente, asc for Ascendente. Defaults to: desc.
per_page
optional integer
Resultados por página. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint

GET
https://seoxperto.com/api/v1/websites/{id}

Request example

curl --location --request GET 'https://seoxperto.com/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Update

API endpoint

PUT PATCH
https://seoxperto.com/api/v1/websites/{id}

Request example

curl --location --request PUT 'https://seoxperto.com/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parámetros

Nombre
Tipo
Description
privacy
optional integer
Privacidad. Possible values are: 0 for Público, 1 for Privado, 2 for Contraseña.
password
optional string
Contraseña. Sólo funciona cuando el campo privacy tiene el valor 2.
Eliminar

API endpoint

DELETE
https://seoxperto.com/api/v1/websites/{id}

Request example

curl --location --request DELETE 'https://seoxperto.com/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'